| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
protocol_t Struct Reference

This structure contains protocol-specific function pointers and properties. More...

`#include <isf_devmsg.h>`

## Data Fields
fnInit_t | fnInit
fnGetState_t | fnGetState
fnGetConfig_t | fnGetConfig
fnConfigure_t | fnConfigure
fnStart_t | fnStart
fnStop_t | fnStop
fnGetSlaveAt_t | fnGetSlaveAt
fnAcquireLock_t | fnAcquireLock
fnReleaseLock_t | fnReleaseLock
fnRead_t | fnRead
fnWrite_t | fnWrite

## Detailed Description

This structure contains protocol-specific function pointers and properties.

Definition at line 78 of file isf_devmsg.h.

## Field Documentation

fnAcquireLock_t fnAcquireLock

Lock the channel for exclusive access.

Definition at line 86 of file isf_devmsg.h.

fnConfigure_t fnConfigure

Reconfigure an already initialized channel.

Definition at line 82 of file isf_devmsg.h.

fnGetConfig_t fnGetConfig

Get the current channel configuration.

Definition at line 81 of file isf_devmsg.h.

fnGetSlaveAt_t fnGetSlaveAt

Get the handle to a slave device at a known address.

Definition at line 85 of file isf_devmsg.h.

fnGetState_t fnGetState

Get the state of a channel.

Definition at line 80 of file isf_devmsg.h.

fnInit_t fnInit

Initialize a channel.

Definition at line 79 of file isf_devmsg.h.

fnRead_t fnRead

Read from a device.

Definition at line 88 of file isf_devmsg.h.

fnReleaseLock_t fnReleaseLock

Release exclusive access.

Definition at line 87 of file isf_devmsg.h.

fnStart_t fnStart

Start a channel.

Definition at line 83 of file isf_devmsg.h.

fnStop_t fnStop

Stop a channel.

Definition at line 84 of file isf_devmsg.h.

fnWrite_t fnWrite

Write to a device.

Definition at line 89 of file isf_devmsg.h.

The documentation for this struct was generated from the following file:

- Include/isf_devmsg.h